Name:       alsa-scenario-scn-data-0-wm1811
Summary:    alsa scenario data for wm1811 codec
Version:    0.1.2
Release:    3
License:    LGPLv2.1
BuildArch:  noarch
Source0:    %{name}-%{version}.tar.gz

%description
Alsa scenario data wm1811 codec

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/etc/sound
cp -a wm1811 %{buildroot}/usr/etc/sound
cp -a wm1811.conf %{buildroot}/usr/etc/sound/wm1811.conf
mkdir -p %{buildroot}/usr/share/license
cp -a lgpl-2.1.txt %{buildroot}/usr/share/license/%{name}

%post
BASE_PATH=/usr/etc/sound
CODEC=wm1811

chmod 644 $BASE_PATH/$CODEC/*
chmod 644 $BASE_PATH/$CODEC.conf

chown -R 0:6822 $BASE_PATH/$CODEC
chown 0:6822 $BASE_PATH/$CODEC.conf

ln -s $BASE_PATH/$CODEC $BASE_PATH/default
ln -s $BASE_PATH/$CODEC.conf $BASE_PATH/default.conf

%preun
BASE_PATH=/usr/etc/sound

rm -f $BASE_PATH/default.conf
rm -f $BASE_PATH/default

%files
%manifest alsa-scenario-scn-data-0-wm1811.manifest
/usr/etc/sound/*
/usr/share/license/alsa-scenario-scn-data-0-wm1811
